# Uses of Enum
org.apache.commons.codec.digest.HmacAlgorithms

Packages that use HmacAlgorithms
Package
Description
org.apache.commons.codec.digest
Simplifies common `MessageDigest` tasks and includes a libc crypt(3) compatible crypt method that supports DES, MD5, SHA-256 and SHA-512 based algorithms as well as the Apache specific "$apr1$" variant.

- ## Uses of HmacAlgorithms in org.apache.commons.codec.digest

  Methods in org.apache.commons.codec.digest that return HmacAlgorithms
  Modifier and Type
  Method
  Description
  `static HmacAlgorithms`
  HmacAlgorithms.`valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static HmacAlgorithms[]`
  HmacAlgorithms.`values()`
  Returns an array containing the constants of this enum type, in the order they are declared.
  Methods in org.apache.commons.codec.digest with parameters of type HmacAlgorithms
  Modifier and Type
  Method
  Description
  `static Mac`
  HmacUtils.`getInitializedMac(HmacAlgorithms algorithm, byte[] key)`
  Returns an initialized `Mac` for the given `algorithm`.
  `static boolean`
  HmacUtils.`isAvailable(HmacAlgorithms name)`
  Returns whether this algorithm is available
  Constructors in org.apache.commons.codec.digest with parameters of type HmacAlgorithms
  Modifier
  Constructor
  Description
  ``
  `HmacUtils(HmacAlgorithms algorithm, byte[] key)`
  Creates an instance using the provided algorithm type.
  ``
  `HmacUtils(HmacAlgorithms algorithm, String key)`
  Creates an instance using the provided algorithm type.